com.sun.jna.platform.win32

## Class Sspi.SecBufferDesc

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecBufferDesc

Enclosing interface:
  Sspi

    public static class Sspi.SecBufferDesc
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`int` `cBuffers` Number of buffers.
`static java.util.List<java.lang.String>` `FIELDS`
`Sspi.SecBuffer.ByReference[]` `pBuffers` Pointer to array of buffers.
`int` `ulVersion` Version number.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SecBufferDesc()` Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.
`SecBufferDesc(int type, byte[] token)` Create a new SecBufferDesc with initial data.
`SecBufferDesc(int type, int tokenSize)` Create a new SecBufferDesc with one SecBuffer of a given type and size.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBytes()`
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### ulVersion

    public int ulVersion

Version number.

#### cBuffers

    public int cBuffers

Number of buffers.

#### pBuffers

    public Sspi.SecBuffer.ByReference[] pBuffers

Pointer to array of buffers.

### Constructor Detail

#### SecBufferDesc

    public SecBufferDesc()

Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

#### SecBufferDesc

    public SecBufferDesc(int type,
                         byte[] token)

Create a new SecBufferDesc with initial data.

Parameters:
  `type` - Token type.
  `token` - Initial token data.

#### SecBufferDesc

    public SecBufferDesc(int type,
                         int tokenSize)

Create a new SecBufferDesc with one SecBuffer of a given type and size.

Parameters:
  `type` - type
  `tokenSize` - token size

### Method Detail

#### getBytes

    public byte[] getBytes()

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.